[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPHashObjectList.Create

Create a new instance of the hashlist

## Declaration

Source position: contnrs.pp line 307

`public constructor TFPHashObjectList.Create(`
`FreeObjects: Boolean = True`
`);`

## Arguments

`FreeObjects` |  | Does the list own the objects

## Description

Create creates a new instance of TFPHashObjectList on the heap and sets the hash capacity to 1.

If FreeObjects is True (the default), then the list owns the objects: when an object is removed from the list, it is destroyed (freed from memory). Clearing the list will free all objects in the list.

## See also

TFPHashObjectList.Destroy |  | Removes an instance of the hashlist from the heap
TFPHashObjectList.OwnsObjects |  | Does the list own the objects it contains